| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iengine/fview.h File Reference

Frustum view. More...

`#include "csutil/ref.h"`
`#include "csutil/scf.h"`
`#include "csgeom/frustum.h"`
`#include "iengine/shadows.h"`

Go to the source code of this file.

## Classes
class | csFrustumContext
| This structure keeps track of the current frustum context. More...
struct | iFrustumView
| This structure represents all information needed for the frustum visibility calculator. More...
struct | iFrustumViewUserdata
| User data which can be attached to iFrustumView. More...
## Typedefs
typedef void( | csFrustumViewObjectFunc )(iMeshWrapper *mesh, iFrustumView *lview, bool vis)
| Function that will be called for every visited object (during CastShadows() procedure from the visibility culler).

## Detailed Description

Frustum view.

Definition in file fview.h.